Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.And<Next>

Type Parameters:
  `Next` - The interface that is to be returned when this request is completed

All Known Subinterfaces:
  Graph.Copy<Next>, Graph.Move<Next>

All Known Implementing Classes:
  Graph.CopyAction, Graph.MoveAction

Enclosing class:
  Graph

    public static interface Graph.And<Next>

A interface that is used to add more locations that are to be copied/moved.

Method Summary
`Next` | `and(Iterable<Property> idProperties)` Specify that another node should also be copied or moved.
`Next` | `and(Location from)` Specify that another node should also be copied or moved.
`Next` | `and(Path from)` Specify that another node should also be copied or moved.
`Next` | `and(Property idProperty)` Specify that another node should also be copied or moved.
`Next` | `and(Property firstIdProperty, Property... additionalIdProperties)` Specify that another node should also be copied or moved.
`Next` | `and(String fromPath)` Specify that another node should also be copied or moved.
`Next` | `and(UUID from)` Specify that another node should also be copied or moved.

Method Detail

### and

    Next and(Location from)

  Specify that another node should also be copied or moved.

  Parameters:
    `from` - the location of the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    Next and(String fromPath)

  Specify that another node should also be copied or moved.

  Parameters:
    `fromPath` - the path of the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    Next and(Path from)

  Specify that another node should also be copied or moved.

  Parameters:
    `from` - the path of the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    Next and(UUID from)

  Specify that another node should also be copied or moved.

  Parameters:
    `from` - the UUID of the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    Next and(Property idProperty)

  Specify that another node should also be copied or moved.

  Parameters:
    `idProperty` - the property that uniquely identifies the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    Next and(Property firstIdProperty,
             Property... additionalIdProperties)

  Specify that another node should also be copied or moved.

  Parameters:
    `firstIdProperty` - the first property that, with the `additionalIdProperties`, uniquely identifies the node to be copied or moved
    `additionalIdProperties` - the additional properties that, with the `additionalIdProperties`, uniquely identifies the node to be copied or moved
  Returns:
    the interface for finishing the request

### and

    Next and(Iterable<Property> idProperties)

  Specify that another node should also be copied or moved.

  Parameters:
    `idProperties` - the properties that uniquely identifies the node to be copied or moved
  Returns:
    the interface for finishing the request

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.